# $Revision: 1.40 $, $Date: 2012/07/01 10:42:33 $
Summary:	GNU Prolog - a free Prolog compiler with constraint solving over Finite Domains
Summary(es.UTF-8):	Prolog de GNU - un compilador libre de Prolog con resolución de ligaduras sobre dominios finitos
Summary(pl.UTF-8):	GNU Prolog - wolnodostępny kompilator języka Prolog
Summary(pt_BR.UTF-8):	O Prolog GNU
Name:		gprolog
Version:	1.4.1
Release:	1
License:	LGPL v3+ or GPL v2+
Group:		Development/Languages
Source0:	http://www.gprolog.org/%{name}-%{version}.tar.gz
# Source0-md5:	433c733da92596ee40e6d4a934591a5b
URL:		http://www.gprolog.org/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
ExclusiveArch:	%{ix86} %{x8664} alpha ppc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNU Prolog is a native Prolog compiler with constraint solving over
finite domains (FD) developed by Daniel Diaz
(http://loco.inria.fr/~diaz/).

GNU Prolog is a very efficient native compiler producing (small)
stand-alone executables. GNU-Prolog also offers a classical
top-level+debugger.

GNU Prolog conforms to the ISO standard for Prolog but also includes a
lot of extensions (global variables, DCG, sockets, OS interface,...).

GNU Prolog also includes a powerful constraint solver over finite
domains with many predefined constraints+heuristics.

%description -l es.UTF-8
GNU Prolog es un compilador nativo de Prolog con resolución de
ligaduras sobre dominios finitos (FD: Finite Domains), desarrollado
por Daniel Diaz (http://loco.inria.fr/~diaz/).

GNU Prolog es un compilador nativo muy eficiente que produce
ejecutables independientes (y pequeños). GNU Prolog también ofrece un
clásico nivel alto y un depurador.

GNU Prolog implementa el estándar ISO para Prolog, sin embargo incluye
un montón de extensiones (variables globales, DCG, sockets, inferfaz
de SO, ...).

GNU Prolog también habilita resolver ligaduras sobre dominios finitos
con varias ligaduras predefinidas y unas heuristicas.

%description -l pl.UTF-8
GNU Prolog jest bezpośrednim kompilatorem Prologu opartym na
rozwiązywaniu problemów z ograniczeniami z dziedziną skończoną (FD),
tworzonym przez Daniela Diaza (http://loco.inria.fr/~diaz/)

GNU Prolog jest bardzo wydajnyym bezpośrednim kompilatorem tworzącym
małe samodzielne programy wykonywalne. GNU-Prolog oferuje też
klasyczny interfejs wysokiego poziomu oraz debugger.

GNU Prolog jest zgodny z standardem ISO języka Prolog oraz oferuje
dodatkowo kilka rozszerzeń (zmienne globalne, DCG, gniazda, interfejs
do systemu operacyjnego...).

GNU Prolog zawiera też poręczny moduł rozwiązywania problemów z
ograniczeniami z dziedziną skończoną, z wieloma predefiniowanymi
ograniczeniami i heurystykami.

%description -l pt_BR.UTF-8
O GNU Prolog é um compilador nativo Prolog.

%package examples
Summary:	Examples for gprolog
Summary(pl.UTF-8):	Przykłady dla gprologa
Group:		Development/Languages
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-examples = %{version}-%{release}

%description examples
Examples for gprolog.

%description examples -l pl.UTF-8
Przykłady dla gprologa.

%prep
%setup -q

%build
cd src
%{__aclocal}
%{__autoconf}
%configure \
	--prefix=$RPM_BUILD_ROOT \
	--with-install-dir=$RPM_BUILD_ROOT%{_libdir}/%{name}-%{version} \
	--with-c-flags="%{rpmcflags}" \
	--without-links-dir \
	--with-examples-dir=$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version} \
	--without-doc-dir \
	--without-html-dir
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C src install

install -d $RPM_BUILD_ROOT%{_bindir}
cd $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/bin
for i in *; do
    ln -s ../%{_lib}/%{name}-%{version}/bin/$i $RPM_BUILD_ROOT%{_bindir}/$i
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
# COPYING contains also licensing summary
%doc COPYING ChangeLog NEWS README doc/gprolog.ps doc/gprolog.pdf
%attr(755,root,root) %{_bindir}/fd2c
%attr(755,root,root) %{_bindir}/gplc
%attr(755,root,root) %{_bindir}/gprolog
%attr(755,root,root) %{_bindir}/hexgplc
%attr(755,root,root) %{_bindir}/ma2asm
%attr(755,root,root) %{_bindir}/pl2wam
%attr(755,root,root) %{_bindir}/wam2ma
%dir %{_libdir}/%{name}-%{version}
%dir %{_libdir}/%{name}-%{version}/bin
%attr(755,root,root) %{_libdir}/%{name}-%{version}/bin/*
%{_libdir}/%{name}-%{version}/include
%{_libdir}/%{name}-%{version}/lib

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gprolog.spec,v $
Revision 1.40  2012/07/01 10:42:33  kiesiu
- updated to 1.4.1

Revision 1.39  2012/01/15 15:40:34  qboosh
- pl fixes
- package COPYING (contains also licensing summary)

Revision 1.38  2011/07/31 19:41:20  kiesiu
- updated to 1.4.0
- fixed installing examples
- changed license
- adapterized

Revision 1.37  2011/04/08 18:03:54  megabajt
- builds and works on x86_64

Revision 1.36  2011/04/08 17:48:16  megabajt
- updated to 1.3.1

Revision 1.35  2011/01/29 00:06:37  sparky
- dropped pre-cvs changelog

Revision 1.34  2007/05/27 12:18:34  wolf
- cosmetics

Revision 1.33  2007/03/09 18:36:48  qboosh
- pl fix, killed subshell

Revision 1.32  2007/02/25 13:42:04  teodor
- up to 1.3.0
- subpackage for examples

Revision 1.31  2007/02/13 07:16:47  glen
- tabs in preamble

Revision 1.30  2007/02/12 00:48:54  baggins
- converted to UTF-8

Revision 1.29  2006/09/02 20:34:47  glen
- cp -a implies cp -r

Revision 1.28  2004/10/20 09:31:13  undefine
- fix dirs, release 5

Revision 1.27  2004/08/09 22:49:48  havner
- rel 4

Revision 1.26  2004/07/29 20:22:28  havner
- rel 3 for rebuild

Revision 1.25  2004/01/24 23:12:02  undefine
- release 2 for AC

Revision 1.24  2003/12/11 22:39:01  saq
- a _real_ es translation

Revision 1.23  2003/11/17 00:35:49  undefine
- gprolog only support ix86/alpha/ppc on linux.

Revision 1.22  2003/08/20 15:11:51  qboosh
- no // in paths, other cosmetics

Revision 1.21  2003/06/16 18:05:18  blues
- cosmetics by kloczek

Revision 1.20  2003/05/26 16:25:07  malekith
- massive attack: adding Source-md5

Revision 1.19  2003/05/25 05:48:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.18  2002/10/08 21:37:17  misiek
- fixed athlon build

Revision 1.17  2002/10/07 18:28:58  djrzulf
- updated to 1.2.16, STBR

Revision 1.16  2002/10/07 12:35:53  qboosh
- BR: autoconf,automake

Revision 1.15  2002/09/17 07:24:44  marcus
- rel.2.
- removed ExclusiveArch ix86, it builds on for example ppc too

Revision 1.14  2002/09/16 22:08:45  kloczek
- use new %doc and remove doc subpackages.

Revision 1.13  2002/09/05 23:31:52  undefine
- pt/es translation
- updated to 1.2.13

Revision 1.12  2002/05/21 23:13:24  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.11  2002/04/25 16:29:10  arturs
fixed a small typo

Revision 1.10  2002/02/22 23:29:00  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/02/18 19:28:54  gotar
- %desc

Revision 1.8  2002/01/18 02:13:11  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/11/07 16:38:10  kloczek
- spec adapterized.

Revision 1.6  2001/11/07 15:47:43  ankry
- updated path in source URL

Revision 1.5  2001/11/04 22:04:18  filon
- updated to 1.2.8
- added packages doc-{html,pdf,ps}
- added using auto{conf,make}
- added examples
- cosmetics

Revision 1.4  2001/06/25 08:14:15  kloczek
- cosmetics.

Revision 1.3  2001/06/24 11:15:01  undefine
- polish description
- cleanup
- STB?

Revision 1.2  2001/06/23 12:03:41  undefine
- rpmoptflags
